plugins["colors"] = {
  version: "v1.0.1",
  lastChange: "Nov 18th 2008",
  displayName: "Colors",
  directory: currentDirectory,
  icon: currentDirectory + "\\colors.ico",
  //autocomplete:"colors", // replace the default completion : you need to define an alias file to use it
  aliasstr: "colors",
  //regexstr: "^" + this.aliasstr + " ?(.*)", 
  //regexobj: /^colors ?(.*)/, // XXX: to get compilation of the regex?
  search: function(querykey, explicit, queryraw, querynokeyword, modifier, triggermethod) {
    if (!explicit) return;
    FARR.emitResult(querykey, "red", "colors", this.icon, CLIP, MATCH_AGAINST_SEARCH, 10000, "colors");
    FARR.emitResult(querykey, "green", "colors", this.icon, CLIP, MATCH_AGAINST_SEARCH, 10000, "colors");
    FARR.emitResult(querykey, "blue", "colors", this.icon, CLIP, MATCH_AGAINST_SEARCH, 10000, "colors");
  }, 
  trigger: function(path, title, groupname, pluginid, thispluginid, score, entrytype, args) {
    if (groupname != "colors") { return; }
    if (title == "red")
      pasteClipboardToLastActiveWindow("#FF0000");
    if (title == "green")
      pasteClipboardToLastActiveWindow("#00FF00");
    if (title == "blue")
      pasteClipboardToLastActiveWindow("#0000FF");
    return HANDLED|CLOSE;
  }, 
  showSettings: function() {
    FARR.debug("showSettings");
    //FARR.exec(this.directory+"\\colorsSettings.ahk");
  }
}
